
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef jloco_ERROR_H
#define jloco_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_jloco    (8700)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_jloco_INVALID_GYRO_MODE    H2_ENCODE_ERR(M_jloco     , 1)
#define S_jloco_POS_TRACKING_ON      H2_ENCODE_ERR(M_jloco     , 2)
#define S_jloco_POSITIVE_VALUE_EXPECTED H2_ENCODE_ERR(M_jloco     , 3)
#define S_jloco_POSTER_READ_FAILED   H2_ENCODE_ERR(M_jloco     , 4)
#define S_jloco_INTERNAL_ERROR       H2_ENCODE_ERR(M_jloco     , 5)
#define S_jloco_POSTER_NOT_UPDATED   H2_ENCODE_ERR(M_jloco     , 6)
#define S_jloco_INTERNAL_INTERRUPT   H2_ENCODE_ERR(M_jloco     , 7)
#define S_jloco_BAD_REF              H2_ENCODE_ERR(M_jloco     , 8)
#define S_jloco_POSTER_NOT_FOUND     H2_ENCODE_ERR(M_jloco     , 9)
#define S_jloco_SIGACTION_ERROR      H2_ENCODE_ERR(M_jloco     , 10)
#define S_jloco_BATTERY_LOW          H2_ENCODE_ERR(M_jloco     , 11)
#define S_jloco_INVALID_TRACK_MODE   H2_ENCODE_ERR(M_jloco     , 12)
#define S_jloco_MOTOR_READ_ERROR     H2_ENCODE_ERR(M_jloco     , 13)
#define S_jloco_JOYSTICK_ERROR       H2_ENCODE_ERR(M_jloco     , 14)
#define S_jloco_MOTOR_ERROR          H2_ENCODE_ERR(M_jloco     , 15)
#define S_jloco_NEOBOTIX_ERROR       H2_ENCODE_ERR(M_jloco     , 16)


/* std errors */
#define S_jloco_stdGenoM_ACTIVITY_INTERRUPTED       570221569   /* 8700<<16 | 0x8000 | 100<<8 | 1 */
#define S_jloco_stdGenoM_TOO_MANY_ACTIVITIES        570221570   /* 8700<<16 | 0x8000 | 100<<8 | 2 */
#define S_jloco_stdGenoM_ACTIVITY_FAILED            570221571   /* 8700<<16 | 0x8000 | 100<<8 | 3 */
#define S_jloco_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 570221572   /* 8700<<16 | 0x8000 | 100<<8 | 4 */
#define S_jloco_stdGenoM_UNKNOWN_ACTIVITY           570221573   /* 8700<<16 | 0x8000 | 100<<8 | 5 */
#define S_jloco_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 570221574   /* 8700<<16 | 0x8000 | 100<<8 | 6 */
#define S_jloco_stdGenoM_SYSTEM_ERROR               570221575   /* 8700<<16 | 0x8000 | 100<<8 | 7 */
#define S_jloco_stdGenoM_ACTIVITY_ALREADY_ENDED     570221576   /* 8700<<16 | 0x8000 | 100<<8 | 8 */
#define S_jloco_stdGenoM_WAIT_INIT_RQST             570221577   /* 8700<<16 | 0x8000 | 100<<8 | 9 */
#define S_jloco_stdGenoM_CONTROL_CODEL_ERROR        570221578   /* 8700<<16 | 0x8000 | 100<<8 | 10 */
#define S_jloco_stdGenoM_EXEC_TASK_SUSPENDED        570221579   /* 8700<<16 | 0x8000 | 100<<8 | 11 */
#define S_jloco_stdGenoM_BAD_BLOCK_TYPE             570221580   /* 8700<<16 | 0x8000 | 100<<8 | 12 */
#define S_jloco_stdGenoM_BAD_POSTER_TYPE            570221581   /* 8700<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define JLOCO_H2_ERR_MSGS {\
    {"INVALID_GYRO_MODE", 1}, \
    {"POS_TRACKING_ON", 2}, \
    {"POSITIVE_VALUE_EXPECTED", 3}, \
    {"POSTER_READ_FAILED", 4},\
    {"INTERNAL_ERROR", 5},\
    {"POSTER_NOT_UPDATED", 6},\
    {"INTERNAL_INTERRUPT", 7},\
    {"BAD_REF", 8},\
    {"POSTER_NOT_FOUND", 9},\
    {"SIGACTION_ERROR", 10},\
    {"BATTERY_LOW", 11},\
    {"INVALID_TRACK_MODE", 12},\
    {"MOTOR_READ_ERROR", 13},\
    {"JOYSTICK_ERROR", 14},\
    {"MOTOR_ERROR", 15},\
    {"NEOBOTIX_ERROR", 16},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int jlocoRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
